---
version: '3'

services:
  app:
    entrypoint: [bin/start]
    image: {{ greenlight_docker_image }}
    container_name: {{ inventory_hostname }}
    #env_file: .env
    environment:
      - VIRTUAL_HOST={{ inventory_hostname }}
      - LETSENCRYPT_HOST={{ inventory_hostname }}
      - SAFE_HOSTS={{ inventory_hostname }}
      - BIGBLUEBUTTON_ENDPOINT={{ bbb_endpoint }}
      - BIGBLUEBUTTON_SECRET={{ bbb_secret }}
      - SECRET_KEY_BASE={{ greenlight_secret }}
      - ALLOW_GREENLIGHT_ACCOUNTS=true
      - RELATIVE_URL_ROOT=/
      - ROOM_FEATURES={{ greenlight_room_features }}
      - MAINTENANCE_MODE=false
      - MAINTENANCE_WINDOW=
      - HELP_URL=https://docs.bigbluebutton.org/greenlight/gl-overview.html 
      - PAGINATION_NUMBER=25
      - NUMBER_OF_ROWS=25
      - DB_ADAPTER=postgresql
      - DB_HOST=db
      - DB_PORT=5432
      - DB_NAME=greenlight
      - DB_USERNAME=postgres
      - DB_PASSWORD={{ greenlight_postgresql_password }}
      - ALLOW_MAIL_NOTIFICATIONS={{ greenlight_allow_mail_notifications | lower }}
      - SMTP_SERVER={{ greenlight_smtp_server | default('') }}
      - SMTP_PORT={{ greenlight_smtp_port | default('') }}
      - SMTP_DOMAIN={{ greenlight_smtp_domain | default('') }}
      - SMTP_USERNAME={{ greenlight_smtp_username | default('') }}
      - SMTP_PASSWORD={{ greenlight_smtp_password | default('') }}
      - SMTP_AUTH={{ greenlight_smtp_auth }}
      - SMTP_STARTTLS_AUTO={{ greenlight_smtp_starttls_auto | lower }}
      - SMTP_SENDER={{ greenlight_smtp_sender | default('') }}
      - DEFAULT_REGISTRATION={{ greenlight_registration }}
      - BRANDING_IMAGE_URL={{ bbb_branding_image }}
      - PRIMARY_COLOR_DEFAULT={{ bbb_primary_color }}
      - PRIMARY_COLOR_LIGHTEN_DEFAULT={{ bbb_color_lighten }}
      - PRIMARY_COLOR_DARKEN_DEFAULT={{ bbb_color_darken }}
      - BBB_DOWNLOAD_URL={{ bbb_download_url }}
    restart: unless-stopped
    expose:
      - "80"
    ports:
      - 127.0.0.1:{{ greenlight_app_port }}:80
    networks:
      - proxy-net
    volumes:
      - ./log:/usr/src/app/log
      - ./storage:/usr/src/app/storage
    links:
      - db

  db:
    image: postgres:9.5
    restart: unless-stopped
    ports:
      - 127.0.0.1:{{ greenlight_db_port }}:5432
    networks:
      - proxy-net
    volumes:
      - ./db/production:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=greenlight
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD={{ greenlight_postgresql_password }}

networks:
  proxy-net:
    external: true
    name: proxy-net
...
